package cn.lttc.dpworkshopmanageserver.biz.back.controller;

import cn.lttc.dpworkshopmanageserver.biz.back.param.BackParam;
import cn.lttc.dpworkshopmanageserver.biz.back.service.IBackService;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.ResponseData;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.SuccessResponseData;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author soul
 * @version 1.0.0
 * @title BackController
 * @description <TODO description class purpose>
 * @create 2022/11/18 9:04
 **/
@RestController
@RequestMapping("/back")
public class BackController {

    @Resource
    private IBackService backService;

    @RequestMapping("/add")
    public ResponseData add(@RequestBody @Validated BackParam backParam){
        backService.add(backParam);
        return new SuccessResponseData();
    }
}
