package cn.lttc.dpworkshopmanageserver.biz.plan.dto;

import cn.lttc.dpworkshopmanageserver.biz.filing.entity.Filing;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author soul
 * @version 1.0.0
 * @title BackReportDto
 * @description <TODO description class purpose>
 * @create 2022/11/23 17:17
 **/

@JsonIgnoreProperties(value = { "handler" })
@Data
public class PlanDto {
    private Long id;
    private Long orderId;
    private String orderNo;
    private Integer qty;
    private String workShift;
    private Boolean status;
    private Long createUser;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createDate;
    private Filing filing;

}
