package cn.lttc.dpworkshopmanageserver.biz.plan.service;

import cn.lttc.dpworkshopmanageserver.biz.plan.dto.CountDto;
import cn.lttc.dpworkshopmanageserver.biz.plan.dto.PlanCountDto;
import cn.lttc.dpworkshopmanageserver.biz.plan.eneity.Plan;
import cn.lttc.dpworkshopmanageserver.biz.plan.param.PlanParam;
import cn.lttc.dpworkshopmanageserver.biz.team.entity.Team;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * @author soul
 * @version 1.0.0
 * @title IPlanService
 * @description <TODO description class purpose>
 * @create 2022/11/26 13:56
 **/
public interface IPlanService extends IService<Plan> {
    void add(PlanParam planParam);
    void edit(PlanParam planParam);
    void finish(PlanParam planParam);

    void delete(PlanParam planParam);
    List<Plan> getPlanList(Integer status);
    List<PlanCountDto> queryPlanCount(Long orderId, String workShift);
    List<CountDto> queryPlanCount();
}
