package cn.lttc.dpworkshopmanageserver.biz.report.dto;

import cn.lttc.dpworkshopmanageserver.biz.filing.entity.Filing;
import cn.lttc.dpworkshopmanageserver.biz.workshop.entity.Workshop;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author soul
 * @version 1.0.0
 * @title RcvReportDto
 * @description <TODO description class purpose>
 * @create 2022/11/23 17:15
 **/
@JsonIgnoreProperties(value = { "handler" })
@Data
public class RcvReportDto {
    private Long id;
    private String workshopName;
    private String teamName;
    private String orderNo;
    private Integer rcvQty;
    private Integer rcvCount;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date receiveDate;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date rcvDate;
    private Long orderId;
    @TableField(exist = false)
    private Filing filing;
}
