package cn.lttc.dpworkshopmanageserver.core.user.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * @author soul
 * @version 1.0.0
 * @title SysUser
 * @description <TODO description class purpose>
 * @create 2022/11/16 14:42
 **/
@Data
@TableName("t_sys_user")
public class SysUser {
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private String account;
    private String password;
    private String name;
    private String avatar;
    private String phone;
    private Boolean adminType;
    /**
     * 状态（字典 1正常 0删除）
     */
    private Integer status;
    private Long createUser;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createDate;
}
