package cn.lttc.dpworkshopmanageserver.core.user.service;

import cn.lttc.dpworkshopmanageserver.core.user.dto.SysUserDto;
import cn.lttc.dpworkshopmanageserver.core.user.entity.SysUser;
import cn.lttc.dpworkshopmanageserver.core.user.param.ModifyPasswordParam;
import cn.lttc.dpworkshopmanageserver.core.user.param.SysUserParam;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author soul
 * @version 1.0.0
 * @title ISysUser
 * @description <TODO description class purpose>
 * @create 2022/11/16 14:47
 **/
public interface ISysUserService extends IService<SysUser> {
    void add(SysUserParam sysUserParam);
    void edit(SysUserParam sysUserParam);

    List<SysUserDto> listUser();
    void delete(List<SysUserParam> sysUserParams);

    SysUser getUserByCount(String account);

    void modifyPassword(ModifyPasswordParam param);

    Boolean checkUserAccount(String account);
}
