package cn.lttc.dpworkshopmanageserver.biz.filing.entity;

import cn.lttc.dpworkshopmanageserver.biz.team.entity.Team;
import cn.lttc.dpworkshopmanageserver.biz.workshop.entity.Workshop;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author soul
 * @version 1.0.0
 * @title Filing
 * @description <TODO description class purpose>
 * @create 2022/11/16 14:05
 **/
@JsonIgnoreProperties(value = { "handler" })
@Data
@TableName("t_dp_order")
public class Filing {
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private Long workshopId;
    private Long teamId;
    private String zyProductWorkshop;
    private String zyTeam;
    private String orderNo;
    private Boolean status;
    private Integer orderStatus;
    private Integer stockQty;
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date deliveryDate;
    private Long filingUser;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date filingDate;
    @TableField(exist = false)
    private Workshop workshop;
    @TableField(exist = false)
    private Team team;
}
