package cn.lttc.dpworkshopmanageserver.biz.filing.service;

import cn.lttc.dpworkshopmanageserver.biz.filing.dto.PlanOrderDto;
import cn.lttc.dpworkshopmanageserver.biz.filing.entity.Filing;
import cn.lttc.dpworkshopmanageserver.biz.filing.param.FilingParam;
import cn.lttc.dpworkshopmanageserver.biz.stock.param.StockParam;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author soul
 * @version 1.0.0
 * @title IFilingService
 * @description <TODO description class purpose>
 * @create 2022/11/16 14:00
 **/
public interface IFilingService extends IService<Filing> {
    void add(FilingParam filingParam);

    void edit(FilingParam filingParam);

    void delete(List<FilingParam> filingParamLst);
    void archive(StockParam stockParam);

    List<PlanOrderDto> getPlanOrderData();

    List<Filing> getOrderList();

    List<Filing> listAvailable();

    List<Filing> getFilterData();
    List<Filing> getFilingList(Integer status);
}
