package cn.lttc.dpworkshopmanageserver.biz.receive.controller;

import cn.lttc.dpworkshopmanageserver.biz.receive.param.ReceiveParam;
import cn.lttc.dpworkshopmanageserver.biz.receive.service.IReceiveService;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.ResponseData;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.SuccessResponseData;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author soul
 * @version 1.0.0
 * @title ReceiverController
 * @description <TODO description class purpose>
 * @create 2022/11/17 17:18
 **/
@RestController
@RequestMapping("/receive")
public class ReceiverController {
    @Resource
    private IReceiveService receiveService;

    @PostMapping("/add")
    public ResponseData add(@RequestBody @Validated ReceiveParam param){
        receiveService.add(param);
        return new SuccessResponseData();
    }
    @PostMapping("/edit")
    public ResponseData edit(ReceiveParam param){
        receiveService.edit(param);
        return new SuccessResponseData();
    }
}
