package cn.lttc.dpworkshopmanageserver.biz.report.mapper;

import cn.lttc.dpworkshopmanageserver.biz.report.dto.BackReportDto;
import cn.lttc.dpworkshopmanageserver.biz.report.dto.RcvReportDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author soul
 * @version 1.0.0
 * @title ReportMapper
 * @description <TODO description class purpose>
 * @create 2022/11/23 17:20
 **/
@Mapper
public interface ReportMapper {
    List<RcvReportDto> getRcvReportData();
    List<RcvReportDto> getRcvReportGroupByCreatedDate0();
    List<RcvReportDto> getRcvReportGroupByCreatedDate(@Param("start") String start,@Param("end") String end);
    List<RcvReportDto> getRcvReportGroupByCreatedDate2(@Param("start") String start,@Param("end") String end);
    List<RcvReportDto> getRcvReportData2(@Param("createdTime") String createdTime);
    List<BackReportDto> getBackReportData2(@Param("createdTime") String createdTime);
    List<RcvReportDto> getRcvReportData3(@Param("filingid") Long filingid,
                                         @Param("rcvDate") String rcvDate);
    List<BackReportDto> getBackReportData3(@Param("filingid") Long filingid,
                                         @Param("backDate") String backDate);
    List<BackReportDto> getBackReportData();
    List<BackReportDto> getBackReportGroupByCreatedDate0();

    List<BackReportDto> getBackReportGroupByCreatedDate(@Param("start") String start,@Param("end") String end);
    List<BackReportDto> getBackReportGroupByCreatedDate2(@Param("start") String start,@Param("end") String end);
}
