package cn.lttc.dpworkshopmanageserver.biz.report.service.impl;

import cn.lttc.dpworkshopmanageserver.biz.report.dto.BackReportDto;
import cn.lttc.dpworkshopmanageserver.biz.report.dto.RcvReportDto;
import cn.lttc.dpworkshopmanageserver.biz.report.mapper.ReportMapper;
import cn.lttc.dpworkshopmanageserver.biz.report.service.IReportService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author soul
 * @version 1.0.0
 * @title ReportServiceImpl
 * @description <TODO description class purpose>
 * @create 2022/11/23 17:18
 **/
@Service
public class ReportServiceImpl implements IReportService {

    @Resource
    private ReportMapper reportMapper;
    @Override
    public List<RcvReportDto> getRcvReportData(String dateRange) {
//        return reportMapper.getRcvReportData();

        if(dateRange.equals("null")){
            return reportMapper.getRcvReportGroupByCreatedDate0();
        }else {
            String start = dateRange.substring(0,10);
            String end = dateRange.substring(11,21);
            if(start.equals(end)){
                return reportMapper.getRcvReportGroupByCreatedDate2(start,end);
            }else {
                return reportMapper.getRcvReportGroupByCreatedDate(start,end);
            }
        }

    }
    public List<RcvReportDto> getRcvReportData2(String createdTime) {
//        return reportMapper.getRcvReportData();
        return reportMapper.getRcvReportData2(createdTime);
    }
    public List<BackReportDto> getBackReportData2(String createdTime) {
//        return reportMapper.getRcvReportData();
        return reportMapper.getBackReportData2(createdTime);
    }
    public List<RcvReportDto> getRcvReportData3(Long filingid,String rcvDate) {
//        return reportMapper.getRcvReportData();
        return reportMapper.getRcvReportData3(filingid,rcvDate);
    }
    public List<BackReportDto> getBackReportData3(Long filingid,String backDate) {
//        return reportMapper.getRcvReportData();
        return reportMapper.getBackReportData3(filingid,backDate);
    }

    @Override
    public List<BackReportDto> getBackReportData(String dateRange) {
//        return reportMapper.getBackReportData();
        if(dateRange.equals("null")){
            return reportMapper.getBackReportGroupByCreatedDate0();
        }else {
            String start = dateRange.substring(0,10);
            String end = dateRange.substring(11,21);
            if(start.equals(end)){
                return reportMapper.getBackReportGroupByCreatedDate2(start,end);
            }else {
                return reportMapper.getBackReportGroupByCreatedDate(start,end);
            }
        }
    }
}
