package cn.lttc.dpworkshopmanageserver.biz.team.entity;

import cn.lttc.dpworkshopmanageserver.biz.workshop.entity.Workshop;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author soul
 * @version 1.0.0
 * @title Filing
 * @description <TODO description class purpose>
 * @create 2022/11/16 14:05
 **/
@JsonIgnoreProperties(value = { "handler" })
@Data
@TableName("t_dp_team")
public class Team {
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private Long workshopId;
    private String zyTeam;
    private Long createdUser;
    private Long updatedUser;
    private Long disabledUser;
    private Boolean status;
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date createdDate;
    private Date updatedDate;
    private Date disabledDate;
    @TableField(exist = false)
    private Workshop workshop;

}
