package cn.lttc.dpworkshopmanageserver.core.login.controller;

import cn.hutool.core.lang.Dict;
import cn.lttc.dpworkshopmanageserver.core.auth.service.IAuthService;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.ResponseData;
import cn.lttc.dpworkshopmanageserver.core.pojo.response.SuccessResponseData;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author soul
 * @version 1.0.0
 * @title LoginController
 * @description <TODO description class purpose>
 * @create 2022/11/16 15:18
 **/
@RestController
public class LoginController {
    @Resource
    private IAuthService authService;

    @PostMapping("/sys/login")
    public ResponseData login(@RequestBody Dict dict) {
        String account = dict.getStr("account");
        String password = dict.getStr("password");
        String token = authService.login(account, password);
        return new SuccessResponseData(token);
    }
    @GetMapping("/sys/logout")
    public void logout() {
        authService.logout();
    }
}
